<?php

include_once locate_template('/config/editor/cleaner.php');

//add_theme_support( 'editor-styles' );
//add_editor_style( get_template_directory_uri() . '/dist/styles/style.css' );

// Define path and URL to the Lazy blocks plugin.
define('NEPTUNE_LZB_PATH', get_stylesheet_directory().'/vendor/lazy-blocks/');
define('NEPTUNE_LZB_URL', get_stylesheet_directory_uri().'/vendor/lazy-blocks/');

// Include the Lazy blocks plugin.
require_once NEPTUNE_LZB_PATH.'lazy-blocks.php';

// Customize the url setting to fix incorrect asset URLs.
add_filter('lzb/plugin_url', 'neptune_lzb_url');
function neptune_lzb_url($url)
{
    return NEPTUNE_LZB_URL;
}

// ADD NEPTUNE CATEGORY
function neptune_controls_categories($categories)
{
    // Add new control category "Neptune"
    $categories['my-category'] = __('Neptune');

    return $categories;
}
add_filter('lzb/controls/categories', 'neptune_controls_categories');

/*
 *  LAZY BLOCKS
 *  Check Lazy blocks documentation for more informations
 *  https://lazyblocks.com/documentation/getting-started/
 */
if (function_exists('lazyblocks')) {
    lazyblocks()->add_block([
        'id' => 37,
        'title' => __('Layering', 'neptune'),
        'icon' => '<svg xmlns="http://www.w3.org/2000/svg" width="38.5" height="40.447" viewBox="0 0 38.5 40.447">
		<g id="logo-neptune" transform="translate(0 -5.779)">
			<path id="Tracé_56" data-name="Tracé 56" d="M2.6,8h0A6.958,6.958,0,0,1,14,9.8a13.64,13.64,0,0,1,1,3.6,21.391,21.391,0,0,0,1.5,5.5,20.8,20.8,0,0,0,4,6.1,18.369,18.369,0,0,0,9.8,5.6,20.54,20.54,0,0,1,3.4.7,7.992,7.992,0,0,1,2.7,1.8,8.122,8.122,0,0,1,0,10.9,6.95,6.95,0,0,1-10.1.1,7.28,7.28,0,0,1-1.7-2.8,18.575,18.575,0,0,1-.6-3.4,14.345,14.345,0,0,0-.7-2.8,19.836,19.836,0,0,0-2.5-5.3A20.933,20.933,0,0,0,18.6,27,19.7,19.7,0,0,0,12,22.4a18.022,18.022,0,0,0-3.3-1,12.972,12.972,0,0,1-3.4-.8C.6,18.8-.9,12.3,2.3,8.4A1.38,1.38,0,0,0,2.6,8Z" fill="#0e081c"/>
			<ellipse id="Ellipse_302" data-name="Ellipse 302" cx="3.7" cy="4" rx="3.7" ry="4" transform="translate(28.8 6.1)" fill="#0e081c"/>
			<ellipse id="Ellipse_303" data-name="Ellipse 303" cx="5.9" cy="6.3" rx="5.9" ry="6.3" transform="translate(0 32.8)" fill="#0e081c"/>
		</g>
		</svg>
		',
        'keywords' => [
        ],
        'slug' => 'lazyblock/layering',
        'description' => '',
        'category' => 'neptune',
        'category_label' => 'neptune',
        'supports' => [
            'customClassName' => true,
            'anchor' => false,
            'align' => [
                0 => 'wide',
                1 => 'full',
            ],
            'html' => false,
            'multiple' => true,
            'inserter' => true,
        ],
        'ghostkit' => [
            'supports' => [
                'spacings' => false,
                'display' => false,
                'scrollReveal' => false,
                'frame' => false,
                'customCSS' => false,
            ],
        ],
        'controls' => [
            'control_3fca55469c' => [
                'type' => 'toggle',
                'name' => 'layering-reverse',
                'default' => '',
                'label' => 'Layering reverse ?',
                'help' => '',
                'child_of' => '',
                'placement' => 'inspector',
                'width' => '100',
                'hide_if_not_selected' => 'false',
                'save_in_meta' => 'false',
                'save_in_meta_name' => '',
                'required' => 'false',
                'checked' => 'false',
                'alongside_text' => '',
                'placeholder' => '',
                'characters_limit' => '',
            ],
            'control_5d694949c6' => [
                'type' => 'text',
                'name' => 'layering_title',
                'default' => '',
                'label' => 'Title',
                'help' => '',
                'child_of' => '',
                'placement' => 'content',
                'width' => '100',
                'hide_if_not_selected' => 'true',
                'save_in_meta' => 'false',
                'save_in_meta_name' => '',
                'required' => 'false',
                'placeholder' => '',
                'characters_limit' => '',
            ],
            'control_790839452f' => [
                'type' => 'image',
                'name' => 'layering_image',
                'default' => '',
                'label' => 'Image',
                'help' => '',
                'child_of' => '',
                'placement' => 'content',
                'width' => '100',
                'hide_if_not_selected' => 'true',
                'save_in_meta' => 'false',
                'save_in_meta_name' => '',
                'required' => 'false',
                'preview_size' => 'medium',
                'placeholder' => '',
                'characters_limit' => '',
            ],
            'control_f35b234d8d' => [
                'type' => 'text',
                'name' => 'layering_block_title',
                'default' => '',
                'label' => 'Block title',
                'help' => '',
                'child_of' => '',
                'placement' => 'content',
                'width' => '100',
                'hide_if_not_selected' => 'true',
                'save_in_meta' => 'false',
                'save_in_meta_name' => '',
                'required' => 'false',
                'placeholder' => '',
                'characters_limit' => '',
            ],
            'control_cc1af24bfb' => [
                'type' => 'rich_text',
                'name' => 'layering_block_text',
                'default' => '',
                'label' => 'Block text',
                'help' => '',
                'child_of' => '',
                'placement' => 'content',
                'width' => '100',
                'hide_if_not_selected' => 'true',
                'save_in_meta' => 'false',
                'save_in_meta_name' => '',
                'required' => 'false',
                'multiline' => 'false',
                'placeholder' => '',
                'characters_limit' => '',
            ],
            'control_6528124bba' => [
                'type' => 'url',
                'name' => 'layering_block_link',
                'default' => '',
                'label' => 'Link',
                'help' => '',
                'child_of' => '',
                'placement' => 'content',
                'width' => '100',
                'hide_if_not_selected' => 'true',
                'save_in_meta' => 'false',
                'save_in_meta_name' => '',
                'required' => 'false',
                'placeholder' => '',
                'characters_limit' => '',
            ],
            'control_7378984e80' => [
                'type' => 'text',
                'name' => 'layering_block_link_title',
                'default' => '',
                'label' => 'Link title',
                'help' => '',
                'child_of' => '',
                'placement' => 'content',
                'width' => '100',
                'hide_if_not_selected' => 'true',
                'save_in_meta' => 'false',
                'save_in_meta_name' => '',
                'required' => 'false',
                'placeholder' => '',
                'characters_limit' => '',
            ],
        ],
        'code' => [
            'output_method' => 'template',
            'editor_html' => '',
            'editor_callback' => '',
            'editor_css' => '',
            'frontend_html' => '',
            'frontend_callback' => '',
            'frontend_css' => '',
            'show_preview' => 'always',
            'single_output' => false,
        ],
        'condition' => [
        ],
    ]);

    lazyblocks()->add_block([
        'id' => 36,
        'title' => __('Our services', 'neptune'),
        'icon' => '<svg xmlns="http://www.w3.org/2000/svg" width="38.5" height="40.447" viewBox="0 0 38.5 40.447">
		<g id="logo-neptune" transform="translate(0 -5.779)">
			<path id="Tracé_56" data-name="Tracé 56" d="M2.6,8h0A6.958,6.958,0,0,1,14,9.8a13.64,13.64,0,0,1,1,3.6,21.391,21.391,0,0,0,1.5,5.5,20.8,20.8,0,0,0,4,6.1,18.369,18.369,0,0,0,9.8,5.6,20.54,20.54,0,0,1,3.4.7,7.992,7.992,0,0,1,2.7,1.8,8.122,8.122,0,0,1,0,10.9,6.95,6.95,0,0,1-10.1.1,7.28,7.28,0,0,1-1.7-2.8,18.575,18.575,0,0,1-.6-3.4,14.345,14.345,0,0,0-.7-2.8,19.836,19.836,0,0,0-2.5-5.3A20.933,20.933,0,0,0,18.6,27,19.7,19.7,0,0,0,12,22.4a18.022,18.022,0,0,0-3.3-1,12.972,12.972,0,0,1-3.4-.8C.6,18.8-.9,12.3,2.3,8.4A1.38,1.38,0,0,0,2.6,8Z" fill="#0e081c"/>
			<ellipse id="Ellipse_302" data-name="Ellipse 302" cx="3.7" cy="4" rx="3.7" ry="4" transform="translate(28.8 6.1)" fill="#0e081c"/>
			<ellipse id="Ellipse_303" data-name="Ellipse 303" cx="5.9" cy="6.3" rx="5.9" ry="6.3" transform="translate(0 32.8)" fill="#0e081c"/>
		</g>
		</svg>
		',
        'keywords' => [
        ],
        'slug' => 'lazyblock/our-services',
        'description' => '',
        'category' => 'neptune',
        'category_label' => 'neptune',
        'supports' => [
            'customClassName' => true,
            'anchor' => false,
            'align' => [
                0 => 'wide',
                1 => 'full',
            ],
            'html' => false,
            'multiple' => true,
            'inserter' => true,
        ],
        'ghostkit' => [
            'supports' => [
                'spacings' => false,
                'display' => false,
                'scrollReveal' => false,
                'frame' => false,
                'customCSS' => false,
            ],
        ],
        'controls' => [
            'control_374b9f426d' => [
                'type' => 'text',
                'name' => 'our_services_title',
                'default' => '',
                'label' => 'Title',
                'help' => '',
                'child_of' => '',
                'placement' => 'content',
                'width' => '100',
                'hide_if_not_selected' => 'true',
                'save_in_meta' => 'false',
                'save_in_meta_name' => '',
                'required' => 'false',
                'placeholder' => '',
                'characters_limit' => '',
            ],
            'control_7d5b844dd8' => [
                'type' => 'repeater',
                'name' => 'services',
                'default' => '',
                'label' => 'Services',
                'help' => '',
                'child_of' => '',
                'placement' => 'content',
                'width' => '100',
                'hide_if_not_selected' => 'true',
                'save_in_meta' => 'false',
                'save_in_meta_name' => '',
                'required' => 'false',
                'rows_min' => '',
                'rows_max' => '',
                'rows_label' => '',
                'rows_add_button_label' => '',
                'rows_collapsible' => 'true',
                'rows_collapsed' => 'true',
                'placeholder' => '',
                'characters_limit' => '',
            ],
            'control_7bf8364340' => [
                'type' => 'text',
                'name' => 'service_title',
                'default' => '',
                'label' => 'service title',
                'help' => '',
                'child_of' => 'control_7d5b844dd8',
                'placement' => 'content',
                'width' => '100',
                'hide_if_not_selected' => 'false',
                'save_in_meta' => 'false',
                'save_in_meta_name' => '',
                'required' => 'false',
                'placeholder' => '',
                'characters_limit' => '',
            ],
            'control_79d93442ff' => [
                'type' => 'textarea',
                'name' => 'service_description',
                'default' => '',
                'label' => 'service description',
                'help' => '',
                'child_of' => 'control_7d5b844dd8',
                'placement' => 'content',
                'width' => '100',
                'hide_if_not_selected' => 'false',
                'save_in_meta' => 'false',
                'save_in_meta_name' => '',
                'required' => 'false',
                'placeholder' => '',
                'characters_limit' => '',
            ],
        ],
        'code' => [
            'output_method' => 'template',
            'editor_html' => '',
            'editor_callback' => '',
            'editor_css' => '',
            'frontend_html' => '',
            'frontend_callback' => '',
            'frontend_css' => '',
            'show_preview' => 'unselected',
            'single_output' => false,
        ],
        'condition' => [
        ],
    ]);

    lazyblocks()->add_block([
        'id' => 35,
        'title' => __('Numbers', 'neptune'),
        'icon' => '<svg xmlns="http://www.w3.org/2000/svg" width="38.5" height="40.447" viewBox="0 0 38.5 40.447">
		<g id="logo-neptune" transform="translate(0 -5.779)">
			<path id="Tracé_56" data-name="Tracé 56" d="M2.6,8h0A6.958,6.958,0,0,1,14,9.8a13.64,13.64,0,0,1,1,3.6,21.391,21.391,0,0,0,1.5,5.5,20.8,20.8,0,0,0,4,6.1,18.369,18.369,0,0,0,9.8,5.6,20.54,20.54,0,0,1,3.4.7,7.992,7.992,0,0,1,2.7,1.8,8.122,8.122,0,0,1,0,10.9,6.95,6.95,0,0,1-10.1.1,7.28,7.28,0,0,1-1.7-2.8,18.575,18.575,0,0,1-.6-3.4,14.345,14.345,0,0,0-.7-2.8,19.836,19.836,0,0,0-2.5-5.3A20.933,20.933,0,0,0,18.6,27,19.7,19.7,0,0,0,12,22.4a18.022,18.022,0,0,0-3.3-1,12.972,12.972,0,0,1-3.4-.8C.6,18.8-.9,12.3,2.3,8.4A1.38,1.38,0,0,0,2.6,8Z" fill="#0e081c"/>
			<ellipse id="Ellipse_302" data-name="Ellipse 302" cx="3.7" cy="4" rx="3.7" ry="4" transform="translate(28.8 6.1)" fill="#0e081c"/>
			<ellipse id="Ellipse_303" data-name="Ellipse 303" cx="5.9" cy="6.3" rx="5.9" ry="6.3" transform="translate(0 32.8)" fill="#0e081c"/>
		</g>
		</svg>
		',
        'keywords' => [
        ],
        'slug' => 'lazyblock/numbers',
        'description' => '',
        'category' => 'neptune',
        'category_label' => 'neptune',
        'supports' => [
            'customClassName' => true,
            'anchor' => false,
            'align' => [
                0 => 'wide',
                1 => 'full',
            ],
            'html' => false,
            'multiple' => true,
            'inserter' => true,
        ],
        'ghostkit' => [
            'supports' => [
                'spacings' => false,
                'display' => false,
                'scrollReveal' => false,
                'frame' => false,
                'customCSS' => false,
            ],
        ],
        'controls' => [
            'control_201b65442e' => [
                'type' => 'text',
                'name' => 'numbers_title',
                'default' => '',
                'label' => 'Title',
                'help' => '',
                'child_of' => '',
                'placement' => 'content',
                'width' => '100',
                'hide_if_not_selected' => 'true',
                'save_in_meta' => 'false',
                'save_in_meta_name' => '',
                'required' => 'false',
                'placeholder' => '',
                'characters_limit' => '',
            ],
            'control_8468414564' => [
                'type' => 'repeater',
                'name' => 'numbers',
                'default' => '',
                'label' => 'Numbers',
                'help' => '',
                'child_of' => '',
                'placement' => 'content',
                'width' => '100',
                'hide_if_not_selected' => 'true',
                'save_in_meta' => 'false',
                'save_in_meta_name' => '',
                'required' => 'false',
                'rows_min' => '',
                'rows_max' => '',
                'rows_label' => '',
                'rows_add_button_label' => '',
                'rows_collapsible' => 'true',
                'rows_collapsed' => 'true',
                'placeholder' => '',
                'characters_limit' => '',
            ],
            'control_aa6a114545' => [
                'type' => 'text',
                'name' => 'number_title',
                'default' => '',
                'label' => 'Title',
                'help' => '',
                'child_of' => 'control_8468414564',
                'placement' => 'content',
                'width' => '100',
                'hide_if_not_selected' => 'false',
                'save_in_meta' => 'false',
                'save_in_meta_name' => '',
                'required' => 'false',
                'placeholder' => '',
                'characters_limit' => '',
            ],
            'control_5f8ba74b2a' => [
                'type' => 'text',
                'name' => 'number_statistic',
                'default' => '',
                'label' => 'statistic',
                'help' => '',
                'child_of' => 'control_8468414564',
                'placement' => 'content',
                'width' => '100',
                'hide_if_not_selected' => 'false',
                'save_in_meta' => 'false',
                'save_in_meta_name' => '',
                'required' => 'false',
                'placeholder' => '',
                'characters_limit' => '',
            ],
        ],
        'code' => [
            'output_method' => 'template',
            'editor_html' => '',
            'editor_callback' => '',
            'editor_css' => '',
            'frontend_html' => '',
            'frontend_callback' => '',
            'frontend_css' => '',
            'show_preview' => 'always',
            'single_output' => false,
        ],
        'condition' => [
        ],
    ]);

    lazyblocks()->add_block([
        'id' => 34,
        'title' => __('Gallery', 'neptune'),
        'icon' => '<svg xmlns="http://www.w3.org/2000/svg" width="38.5" height="40.447" viewBox="0 0 38.5 40.447">
		<g id="logo-neptune" transform="translate(0 -5.779)">
			<path id="Tracé_56" data-name="Tracé 56" d="M2.6,8h0A6.958,6.958,0,0,1,14,9.8a13.64,13.64,0,0,1,1,3.6,21.391,21.391,0,0,0,1.5,5.5,20.8,20.8,0,0,0,4,6.1,18.369,18.369,0,0,0,9.8,5.6,20.54,20.54,0,0,1,3.4.7,7.992,7.992,0,0,1,2.7,1.8,8.122,8.122,0,0,1,0,10.9,6.95,6.95,0,0,1-10.1.1,7.28,7.28,0,0,1-1.7-2.8,18.575,18.575,0,0,1-.6-3.4,14.345,14.345,0,0,0-.7-2.8,19.836,19.836,0,0,0-2.5-5.3A20.933,20.933,0,0,0,18.6,27,19.7,19.7,0,0,0,12,22.4a18.022,18.022,0,0,0-3.3-1,12.972,12.972,0,0,1-3.4-.8C.6,18.8-.9,12.3,2.3,8.4A1.38,1.38,0,0,0,2.6,8Z" fill="#0e081c"/>
			<ellipse id="Ellipse_302" data-name="Ellipse 302" cx="3.7" cy="4" rx="3.7" ry="4" transform="translate(28.8 6.1)" fill="#0e081c"/>
			<ellipse id="Ellipse_303" data-name="Ellipse 303" cx="5.9" cy="6.3" rx="5.9" ry="6.3" transform="translate(0 32.8)" fill="#0e081c"/>
		</g>
		</svg>
		',
        'keywords' => [
        ],
        'slug' => 'lazyblock/gallery',
        'description' => '',
        'category' => 'neptune',
        'category_label' => 'neptune',
        'supports' => [
            'customClassName' => true,
            'anchor' => false,
            'align' => [
                0 => 'wide',
                1 => 'full',
            ],
            'html' => false,
            'multiple' => true,
            'inserter' => true,
        ],
        'ghostkit' => [
            'supports' => [
                'spacings' => false,
                'display' => false,
                'scrollReveal' => false,
                'frame' => false,
                'customCSS' => false,
            ],
        ],
        'controls' => [
            'control_09a9d44653' => [
                'type' => 'text',
                'name' => 'gallery_title',
                'default' => '',
                'label' => 'Title',
                'help' => '',
                'child_of' => '',
                'placement' => 'content',
                'width' => '100',
                'hide_if_not_selected' => 'true',
                'save_in_meta' => 'false',
                'save_in_meta_name' => '',
                'required' => 'false',
                'placeholder' => '',
                'characters_limit' => '',
            ],
            'control_44a90d46aa' => [
                'type' => 'repeater',
                'name' => 'gallery_images',
                'default' => '',
                'label' => 'Images',
                'help' => '',
                'child_of' => '',
                'placement' => 'content',
                'width' => '100',
                'hide_if_not_selected' => 'true',
                'save_in_meta' => 'false',
                'save_in_meta_name' => '',
                'required' => 'false',
                'rows_min' => '',
                'rows_max' => '',
                'rows_label' => '',
                'rows_add_button_label' => '',
                'rows_collapsible' => 'true',
                'rows_collapsed' => 'true',
                'placeholder' => '',
                'characters_limit' => '',
            ],
            'control_50a9024dff' => [
                'type' => 'image',
                'name' => 'gallery_images_item',
                'default' => '',
                'label' => 'Image',
                'help' => '',
                'child_of' => 'control_44a90d46aa',
                'placement' => 'content',
                'width' => '100',
                'hide_if_not_selected' => 'false',
                'save_in_meta' => 'false',
                'save_in_meta_name' => '',
                'required' => 'false',
                'preview_size' => 'full',
                'placeholder' => '',
                'characters_limit' => '',
            ],
        ],
        'code' => [
            'output_method' => 'template',
            'editor_html' => '',
            'editor_callback' => '',
            'editor_css' => '',
            'frontend_html' => '',
            'frontend_callback' => '',
            'frontend_css' => '',
            'show_preview' => 'always',
            'single_output' => false,
        ],
        'condition' => [
        ],
    ]);

    lazyblocks()->add_block([
        'id' => 33,
        'title' => __('Testimonials', 'neptune'),
        'icon' => '<svg xmlns="http://www.w3.org/2000/svg" width="38.5" height="40.447" viewBox="0 0 38.5 40.447">
		<g id="logo-neptune" transform="translate(0 -5.779)">
			<path id="Tracé_56" data-name="Tracé 56" d="M2.6,8h0A6.958,6.958,0,0,1,14,9.8a13.64,13.64,0,0,1,1,3.6,21.391,21.391,0,0,0,1.5,5.5,20.8,20.8,0,0,0,4,6.1,18.369,18.369,0,0,0,9.8,5.6,20.54,20.54,0,0,1,3.4.7,7.992,7.992,0,0,1,2.7,1.8,8.122,8.122,0,0,1,0,10.9,6.95,6.95,0,0,1-10.1.1,7.28,7.28,0,0,1-1.7-2.8,18.575,18.575,0,0,1-.6-3.4,14.345,14.345,0,0,0-.7-2.8,19.836,19.836,0,0,0-2.5-5.3A20.933,20.933,0,0,0,18.6,27,19.7,19.7,0,0,0,12,22.4a18.022,18.022,0,0,0-3.3-1,12.972,12.972,0,0,1-3.4-.8C.6,18.8-.9,12.3,2.3,8.4A1.38,1.38,0,0,0,2.6,8Z" fill="#0e081c"/>
			<ellipse id="Ellipse_302" data-name="Ellipse 302" cx="3.7" cy="4" rx="3.7" ry="4" transform="translate(28.8 6.1)" fill="#0e081c"/>
			<ellipse id="Ellipse_303" data-name="Ellipse 303" cx="5.9" cy="6.3" rx="5.9" ry="6.3" transform="translate(0 32.8)" fill="#0e081c"/>
		</g>
		</svg>
		',
        'keywords' => [
        ],
        'slug' => 'lazyblock/testimonials',
        'description' => '',
        'category' => 'neptune',
        'category_label' => 'neptune',
        'supports' => [
            'customClassName' => true,
            'anchor' => false,
            'align' => [
                0 => 'wide',
                1 => 'full',
            ],
            'html' => false,
            'multiple' => true,
            'inserter' => true,
        ],
        'ghostkit' => [
            'supports' => [
                'spacings' => false,
                'display' => false,
                'scrollReveal' => false,
                'frame' => false,
                'customCSS' => false,
            ],
        ],
        'controls' => [
            'control_1c5af840f3' => [
                'type' => 'text',
                'name' => 'testimonials_title',
                'default' => '',
                'label' => 'Title',
                'help' => '',
                'child_of' => '',
                'placement' => 'content',
                'width' => '100',
                'hide_if_not_selected' => 'true',
                'save_in_meta' => 'false',
                'save_in_meta_name' => '',
                'required' => 'false',
                'placeholder' => '',
                'characters_limit' => '',
            ],
            'control_60284a4d39' => [
                'type' => 'repeater',
                'name' => 'testimonials_slides',
                'default' => '',
                'label' => 'Testimonials',
                'help' => '',
                'child_of' => '',
                'placement' => 'content',
                'width' => '100',
                'hide_if_not_selected' => 'true',
                'save_in_meta' => 'false',
                'save_in_meta_name' => '',
                'required' => 'false',
                'rows_min' => '',
                'rows_max' => '',
                'rows_label' => 'Slide {{#}}',
                'rows_add_button_label' => '',
                'rows_collapsible' => 'true',
                'rows_collapsed' => 'true',
                'placeholder' => '',
                'characters_limit' => '',
            ],
            'control_8868ed49a7' => [
                'type' => 'textarea',
                'name' => 'testimonial_text',
                'default' => '',
                'label' => 'Testimonial text',
                'help' => '',
                'child_of' => 'control_60284a4d39',
                'placement' => 'content',
                'width' => '100',
                'hide_if_not_selected' => 'false',
                'save_in_meta' => 'false',
                'save_in_meta_name' => '',
                'required' => 'false',
                'placeholder' => '',
                'characters_limit' => '',
            ],
            'control_816a93459c' => [
                'type' => 'text',
                'name' => 'testimonial_author',
                'default' => '',
                'label' => 'Testimonial author',
                'help' => '',
                'child_of' => 'control_60284a4d39',
                'placement' => 'content',
                'width' => '100',
                'hide_if_not_selected' => 'false',
                'save_in_meta' => 'false',
                'save_in_meta_name' => '',
                'required' => 'false',
                'placeholder' => '',
                'characters_limit' => '',
            ],
        ],
        'code' => [
            'output_method' => 'template',
            'editor_html' => '',
            'editor_callback' => '',
            'editor_css' => '',
            'frontend_html' => '',
            'frontend_callback' => '',
            'frontend_css' => '',
            'show_preview' => 'always',
            'single_output' => false,
        ],
        'condition' => [
        ],
    ]);

    lazyblocks()->add_block([
        'id' => 32,
        'title' => __('Team', 'neptune'),
        'icon' => '<svg xmlns="http://www.w3.org/2000/svg" width="38.5" height="40.447" viewBox="0 0 38.5 40.447">
		<g id="logo-neptune" transform="translate(0 -5.779)">
			<path id="Tracé_56" data-name="Tracé 56" d="M2.6,8h0A6.958,6.958,0,0,1,14,9.8a13.64,13.64,0,0,1,1,3.6,21.391,21.391,0,0,0,1.5,5.5,20.8,20.8,0,0,0,4,6.1,18.369,18.369,0,0,0,9.8,5.6,20.54,20.54,0,0,1,3.4.7,7.992,7.992,0,0,1,2.7,1.8,8.122,8.122,0,0,1,0,10.9,6.95,6.95,0,0,1-10.1.1,7.28,7.28,0,0,1-1.7-2.8,18.575,18.575,0,0,1-.6-3.4,14.345,14.345,0,0,0-.7-2.8,19.836,19.836,0,0,0-2.5-5.3A20.933,20.933,0,0,0,18.6,27,19.7,19.7,0,0,0,12,22.4a18.022,18.022,0,0,0-3.3-1,12.972,12.972,0,0,1-3.4-.8C.6,18.8-.9,12.3,2.3,8.4A1.38,1.38,0,0,0,2.6,8Z" fill="#0e081c"/>
			<ellipse id="Ellipse_302" data-name="Ellipse 302" cx="3.7" cy="4" rx="3.7" ry="4" transform="translate(28.8 6.1)" fill="#0e081c"/>
			<ellipse id="Ellipse_303" data-name="Ellipse 303" cx="5.9" cy="6.3" rx="5.9" ry="6.3" transform="translate(0 32.8)" fill="#0e081c"/>
		</g>
		</svg>
		',
        'keywords' => [
        ],
        'slug' => 'lazyblock/team',
        'description' => '',
        'category' => 'neptune',
        'category_label' => 'neptune',
        'supports' => [
            'customClassName' => true,
            'anchor' => false,
            'align' => [
                0 => 'wide',
                1 => 'full',
            ],
            'html' => false,
            'multiple' => true,
            'inserter' => true,
        ],
        'ghostkit' => [
            'supports' => [
                'spacings' => false,
                'display' => false,
                'scrollReveal' => false,
                'frame' => false,
                'customCSS' => false,
            ],
        ],
        'controls' => [
            'control_6fdb344628' => [
                'type' => 'text',
                'name' => 'team_title',
                'default' => '',
                'label' => 'Title',
                'help' => '',
                'child_of' => '',
                'placement' => 'content',
                'width' => '100',
                'hide_if_not_selected' => 'true',
                'save_in_meta' => 'false',
                'save_in_meta_name' => '',
                'required' => 'false',
                'placeholder' => '',
                'characters_limit' => '',
            ],
            'control_7bcb0c4e08' => [
                'type' => 'repeater',
                'name' => 'teamates',
                'default' => '',
                'label' => 'teamates',
                'help' => '',
                'child_of' => '',
                'placement' => 'content',
                'width' => '100',
                'hide_if_not_selected' => 'true',
                'save_in_meta' => 'false',
                'save_in_meta_name' => '',
                'required' => 'false',
                'rows_min' => '',
                'rows_max' => '',
                'rows_label' => 'Teamates {{#}}',
                'rows_add_button_label' => '+ Add teamate',
                'rows_collapsible' => 'true',
                'rows_collapsed' => 'true',
                'placeholder' => '',
                'characters_limit' => '',
            ],
            'control_59681e4fd0' => [
                'type' => 'image',
                'name' => 'teamate_picture',
                'default' => '',
                'label' => 'Picture',
                'help' => '',
                'child_of' => 'control_7bcb0c4e08',
                'placement' => 'content',
                'width' => '100',
                'hide_if_not_selected' => 'false',
                'save_in_meta' => 'false',
                'save_in_meta_name' => '',
                'required' => 'false',
                'preview_size' => 'full',
                'placeholder' => '',
                'characters_limit' => '',
            ],
            'control_756b8245ce' => [
                'type' => 'text',
                'name' => 'teamate_job',
                'default' => '',
                'label' => 'Job',
                'help' => '',
                'child_of' => 'control_7bcb0c4e08',
                'placement' => 'content',
                'width' => '100',
                'hide_if_not_selected' => 'false',
                'save_in_meta' => 'false',
                'save_in_meta_name' => '',
                'required' => 'false',
                'placeholder' => '',
                'characters_limit' => '',
            ],
            'control_e6fb264206' => [
                'type' => 'text',
                'name' => 'teamate_name',
                'default' => '',
                'label' => 'Name',
                'help' => '',
                'child_of' => 'control_7bcb0c4e08',
                'placement' => 'content',
                'width' => '100',
                'hide_if_not_selected' => 'false',
                'save_in_meta' => 'false',
                'save_in_meta_name' => '',
                'required' => 'false',
                'placeholder' => '',
                'characters_limit' => '',
            ],
            'control_91ab2d4b7c' => [
                'type' => 'text',
                'name' => 'teamate_description',
                'default' => '',
                'label' => 'Description',
                'help' => '',
                'child_of' => 'control_7bcb0c4e08',
                'placement' => 'content',
                'width' => '100',
                'hide_if_not_selected' => 'false',
                'save_in_meta' => 'false',
                'save_in_meta_name' => '',
                'required' => 'false',
                'placeholder' => '',
                'characters_limit' => '',
            ],
            'control_66c91a4024' => [
                'type' => 'url',
                'name' => 'teamate_facebook_link',
                'default' => '',
                'label' => 'Facebook link',
                'help' => '',
                'child_of' => 'control_7bcb0c4e08',
                'placement' => 'content',
                'width' => '100',
                'hide_if_not_selected' => 'false',
                'save_in_meta' => 'false',
                'save_in_meta_name' => '',
                'required' => 'false',
                'placeholder' => '',
                'characters_limit' => '',
            ],
            'control_ba780147b5' => [
                'type' => 'text',
                'name' => 'teamate_facebook_name',
                'default' => '',
                'label' => 'Facebook name',
                'help' => '',
                'child_of' => 'control_7bcb0c4e08',
                'placement' => 'content',
                'width' => '100',
                'hide_if_not_selected' => 'false',
                'save_in_meta' => 'false',
                'save_in_meta_name' => '',
                'required' => 'false',
                'placeholder' => '',
                'characters_limit' => '',
            ],
            'control_68ea294a4c' => [
                'type' => 'url',
                'name' => 'teamate_instagram_link',
                'default' => '',
                'label' => 'Instagram link',
                'help' => '',
                'child_of' => 'control_7bcb0c4e08',
                'placement' => 'content',
                'width' => '100',
                'hide_if_not_selected' => 'false',
                'save_in_meta' => 'false',
                'save_in_meta_name' => '',
                'required' => 'false',
                'placeholder' => '',
                'characters_limit' => '',
            ],
            'control_02784c4152' => [
                'type' => 'text',
                'name' => 'teamate_instagram_name',
                'default' => '',
                'label' => 'Instagram name',
                'help' => '',
                'child_of' => 'control_7bcb0c4e08',
                'placement' => 'content',
                'width' => '100',
                'hide_if_not_selected' => 'false',
                'save_in_meta' => 'false',
                'save_in_meta_name' => '',
                'required' => 'false',
                'placeholder' => '',
                'characters_limit' => '',
            ],
            'control_640b6346f5' => [
                'type' => 'url',
                'name' => 'teamate_linkedin_link',
                'default' => '',
                'label' => 'LinkedIn link',
                'help' => '',
                'child_of' => 'control_7bcb0c4e08',
                'placement' => 'content',
                'width' => '100',
                'hide_if_not_selected' => 'false',
                'save_in_meta' => 'false',
                'save_in_meta_name' => '',
                'required' => 'false',
                'placeholder' => '',
                'characters_limit' => '',
            ],
            'control_68fbf44ab0' => [
                'type' => 'text',
                'name' => 'teamate_linkedin_name',
                'default' => '',
                'label' => 'LinkedIn name',
                'help' => '',
                'child_of' => 'control_7bcb0c4e08',
                'placement' => 'content',
                'width' => '100',
                'hide_if_not_selected' => 'false',
                'save_in_meta' => 'false',
                'save_in_meta_name' => '',
                'required' => 'false',
                'placeholder' => '',
                'characters_limit' => '',
            ],
            'control_543b854f25' => [
                'type' => 'url',
                'name' => 'teamate_twitter_link',
                'default' => '',
                'label' => 'Twitter link',
                'help' => '',
                'child_of' => 'control_7bcb0c4e08',
                'placement' => 'content',
                'width' => '100',
                'hide_if_not_selected' => 'false',
                'save_in_meta' => 'false',
                'save_in_meta_name' => '',
                'required' => 'false',
                'placeholder' => '',
                'characters_limit' => '',
            ],
            'control_2f48d44e54' => [
                'type' => 'text',
                'name' => 'teamate_twitter_name',
                'default' => '',
                'label' => 'Twitter name',
                'help' => '',
                'child_of' => 'control_7bcb0c4e08',
                'placement' => 'content',
                'width' => '100',
                'hide_if_not_selected' => 'false',
                'save_in_meta' => 'false',
                'save_in_meta_name' => '',
                'required' => 'false',
                'placeholder' => '',
                'characters_limit' => '',
            ],
        ],
        'code' => [
            'output_method' => 'template',
            'editor_html' => '',
            'editor_callback' => '',
            'editor_css' => '',
            'frontend_html' => '',
            'frontend_callback' => '',
            'frontend_css' => '',
            'show_preview' => 'always',
            'single_output' => false,
        ],
        'condition' => [
        ],
    ]);

    lazyblocks()->add_block([
        'id' => 31,
        'title' => __('Process', 'neptune'),
        'icon' => '<svg xmlns="http://www.w3.org/2000/svg" width="38.5" height="40.447" viewBox="0 0 38.5 40.447">
		<g id="logo-neptune" transform="translate(0 -5.779)">
			<path id="Tracé_56" data-name="Tracé 56" d="M2.6,8h0A6.958,6.958,0,0,1,14,9.8a13.64,13.64,0,0,1,1,3.6,21.391,21.391,0,0,0,1.5,5.5,20.8,20.8,0,0,0,4,6.1,18.369,18.369,0,0,0,9.8,5.6,20.54,20.54,0,0,1,3.4.7,7.992,7.992,0,0,1,2.7,1.8,8.122,8.122,0,0,1,0,10.9,6.95,6.95,0,0,1-10.1.1,7.28,7.28,0,0,1-1.7-2.8,18.575,18.575,0,0,1-.6-3.4,14.345,14.345,0,0,0-.7-2.8,19.836,19.836,0,0,0-2.5-5.3A20.933,20.933,0,0,0,18.6,27,19.7,19.7,0,0,0,12,22.4a18.022,18.022,0,0,0-3.3-1,12.972,12.972,0,0,1-3.4-.8C.6,18.8-.9,12.3,2.3,8.4A1.38,1.38,0,0,0,2.6,8Z" fill="#0e081c"/>
			<ellipse id="Ellipse_302" data-name="Ellipse 302" cx="3.7" cy="4" rx="3.7" ry="4" transform="translate(28.8 6.1)" fill="#0e081c"/>
			<ellipse id="Ellipse_303" data-name="Ellipse 303" cx="5.9" cy="6.3" rx="5.9" ry="6.3" transform="translate(0 32.8)" fill="#0e081c"/>
		</g>
		</svg>
		',
        'keywords' => [
        ],
        'slug' => 'lazyblock/process',
        'description' => '',
        'category' => 'neptune',
        'category_label' => 'neptune',
        'supports' => [
            'customClassName' => true,
            'anchor' => false,
            'align' => [
                0 => 'wide',
                1 => 'full',
            ],
            'html' => false,
            'multiple' => true,
            'inserter' => true,
        ],
        'ghostkit' => [
            'supports' => [
                'spacings' => false,
                'display' => false,
                'scrollReveal' => false,
                'frame' => false,
                'customCSS' => false,
            ],
        ],
        'controls' => [
            'control_faaaad4116' => [
                'type' => 'text',
                'name' => 'process_title',
                'default' => '',
                'label' => 'title',
                'help' => '',
                'child_of' => '',
                'placement' => 'content',
                'width' => '100',
                'hide_if_not_selected' => 'true',
                'save_in_meta' => 'false',
                'save_in_meta_name' => '',
                'required' => 'false',
                'placeholder' => '',
                'characters_limit' => '',
            ],
            'control_d828884c4b' => [
                'type' => 'rich_text',
                'name' => 'process_text',
                'default' => '',
                'label' => 'Text',
                'help' => '',
                'child_of' => '',
                'placement' => 'content',
                'width' => '100',
                'hide_if_not_selected' => 'true',
                'save_in_meta' => 'false',
                'save_in_meta_name' => '',
                'required' => 'false',
                'multiline' => 'false',
                'placeholder' => '',
                'characters_limit' => '',
            ],
            'control_8939df4405' => [
                'type' => 'image',
                'name' => 'process_image',
                'default' => '',
                'label' => 'Image',
                'help' => '',
                'child_of' => '',
                'placement' => 'content',
                'width' => '100',
                'hide_if_not_selected' => 'false',
                'save_in_meta' => 'false',
                'save_in_meta_name' => '',
                'required' => 'false',
                'preview_size' => 'medium',
                'placeholder' => '',
                'characters_limit' => '',
            ],
        ],
        'code' => [
            'output_method' => 'template',
            'editor_html' => '',
            'editor_callback' => '',
            'editor_css' => '',
            'frontend_html' => '',
            'frontend_callback' => '',
            'frontend_css' => '',
            'show_preview' => 'always',
            'single_output' => false,
        ],
        'condition' => [
        ],
    ]);

    lazyblocks()->add_block([
        'id' => 30,
        'title' => __('Partners', 'neptune'),
        'icon' => '<svg xmlns="http://www.w3.org/2000/svg" width="38.5" height="40.447" viewBox="0 0 38.5 40.447">
		<g id="logo-neptune" transform="translate(0 -5.779)">
			<path id="Tracé_56" data-name="Tracé 56" d="M2.6,8h0A6.958,6.958,0,0,1,14,9.8a13.64,13.64,0,0,1,1,3.6,21.391,21.391,0,0,0,1.5,5.5,20.8,20.8,0,0,0,4,6.1,18.369,18.369,0,0,0,9.8,5.6,20.54,20.54,0,0,1,3.4.7,7.992,7.992,0,0,1,2.7,1.8,8.122,8.122,0,0,1,0,10.9,6.95,6.95,0,0,1-10.1.1,7.28,7.28,0,0,1-1.7-2.8,18.575,18.575,0,0,1-.6-3.4,14.345,14.345,0,0,0-.7-2.8,19.836,19.836,0,0,0-2.5-5.3A20.933,20.933,0,0,0,18.6,27,19.7,19.7,0,0,0,12,22.4a18.022,18.022,0,0,0-3.3-1,12.972,12.972,0,0,1-3.4-.8C.6,18.8-.9,12.3,2.3,8.4A1.38,1.38,0,0,0,2.6,8Z" fill="#0e081c"/>
			<ellipse id="Ellipse_302" data-name="Ellipse 302" cx="3.7" cy="4" rx="3.7" ry="4" transform="translate(28.8 6.1)" fill="#0e081c"/>
			<ellipse id="Ellipse_303" data-name="Ellipse 303" cx="5.9" cy="6.3" rx="5.9" ry="6.3" transform="translate(0 32.8)" fill="#0e081c"/>
		</g>
		</svg>
		',
        'keywords' => [
        ],
        'slug' => 'lazyblock/partners',
        'description' => '',
        'category' => 'neptune',
        'category_label' => 'neptune',
        'supports' => [
            'customClassName' => true,
            'anchor' => false,
            'align' => [
                0 => 'wide',
                1 => 'full',
            ],
            'html' => false,
            'multiple' => true,
            'inserter' => true,
        ],
        'ghostkit' => [
            'supports' => [
                'spacings' => false,
                'display' => false,
                'scrollReveal' => false,
                'frame' => false,
                'customCSS' => false,
            ],
        ],
        'controls' => [
            'control_eb28e44246' => [
                'type' => 'text',
                'name' => 'partners_title',
                'default' => '',
                'label' => 'Title',
                'help' => '',
                'child_of' => '',
                'placement' => 'content',
                'width' => '100',
                'hide_if_not_selected' => 'true',
                'save_in_meta' => 'false',
                'save_in_meta_name' => '',
                'required' => 'false',
                'placeholder' => '',
                'characters_limit' => '',
            ],
            'control_c35b2b4df4' => [
                'type' => 'repeater',
                'name' => 'partners',
                'default' => '',
                'label' => 'Partners',
                'help' => '',
                'child_of' => '',
                'placement' => 'content',
                'width' => '100',
                'hide_if_not_selected' => 'false',
                'save_in_meta' => 'false',
                'save_in_meta_name' => '',
                'required' => 'false',
                'rows_min' => '',
                'rows_max' => '',
                'rows_label' => '',
                'rows_add_button_label' => '',
                'rows_collapsible' => 'true',
                'rows_collapsed' => 'true',
                'placeholder' => '',
                'characters_limit' => '',
            ],
            'control_ac5a664b0f' => [
                'type' => 'image',
                'name' => 'partner_image',
                'default' => '',
                'label' => 'Image',
                'help' => '',
                'child_of' => 'control_c35b2b4df4',
                'placement' => 'content',
                'width' => '100',
                'hide_if_not_selected' => 'false',
                'save_in_meta' => 'false',
                'save_in_meta_name' => '',
                'required' => 'false',
                'preview_size' => 'full',
                'placeholder' => '',
                'characters_limit' => '',
            ],
        ],
        'code' => [
            'output_method' => 'template',
            'editor_html' => '',
            'editor_callback' => '',
            'editor_css' => '',
            'frontend_html' => '',
            'frontend_callback' => '',
            'frontend_css' => '',
            'show_preview' => 'always',
            'single_output' => false,
        ],
        'condition' => [
        ],
    ]);

    lazyblocks()->add_block([
        'id' => 29,
        'title' => __('Places', 'neptune'),
        'icon' => '<svg xmlns="http://www.w3.org/2000/svg" width="38.5" height="40.447" viewBox="0 0 38.5 40.447">
		<g id="logo-neptune" transform="translate(0 -5.779)">
			<path id="Tracé_56" data-name="Tracé 56" d="M2.6,8h0A6.958,6.958,0,0,1,14,9.8a13.64,13.64,0,0,1,1,3.6,21.391,21.391,0,0,0,1.5,5.5,20.8,20.8,0,0,0,4,6.1,18.369,18.369,0,0,0,9.8,5.6,20.54,20.54,0,0,1,3.4.7,7.992,7.992,0,0,1,2.7,1.8,8.122,8.122,0,0,1,0,10.9,6.95,6.95,0,0,1-10.1.1,7.28,7.28,0,0,1-1.7-2.8,18.575,18.575,0,0,1-.6-3.4,14.345,14.345,0,0,0-.7-2.8,19.836,19.836,0,0,0-2.5-5.3A20.933,20.933,0,0,0,18.6,27,19.7,19.7,0,0,0,12,22.4a18.022,18.022,0,0,0-3.3-1,12.972,12.972,0,0,1-3.4-.8C.6,18.8-.9,12.3,2.3,8.4A1.38,1.38,0,0,0,2.6,8Z" fill="#0e081c"/>
			<ellipse id="Ellipse_302" data-name="Ellipse 302" cx="3.7" cy="4" rx="3.7" ry="4" transform="translate(28.8 6.1)" fill="#0e081c"/>
			<ellipse id="Ellipse_303" data-name="Ellipse 303" cx="5.9" cy="6.3" rx="5.9" ry="6.3" transform="translate(0 32.8)" fill="#0e081c"/>
		</g>
		</svg>
		',
        'keywords' => [
        ],
        'slug' => 'lazyblock/places',
        'description' => '',
        'category' => 'neptune',
        'category_label' => 'neptune',
        'supports' => [
            'customClassName' => true,
            'anchor' => false,
            'align' => [
                0 => 'wide',
                1 => 'full',
            ],
            'html' => false,
            'multiple' => true,
            'inserter' => true,
        ],
        'ghostkit' => [
            'supports' => [
                'spacings' => false,
                'display' => false,
                'scrollReveal' => false,
                'frame' => false,
                'customCSS' => false,
            ],
        ],
        'controls' => [
            'control_8459064afc' => [
                'type' => 'repeater',
                'name' => 'places',
                'default' => '',
                'label' => 'Places',
                'help' => '',
                'child_of' => '',
                'placement' => 'content',
                'width' => '100',
                'hide_if_not_selected' => 'true',
                'save_in_meta' => 'false',
                'save_in_meta_name' => '',
                'required' => 'false',
                'rows_min' => '',
                'rows_max' => '',
                'rows_label' => '',
                'rows_add_button_label' => '',
                'rows_collapsible' => 'true',
                'rows_collapsed' => 'true',
                'placeholder' => '',
                'characters_limit' => '',
            ],
            'control_325b424987' => [
                'type' => 'text',
                'name' => 'place_city',
                'default' => '',
                'label' => 'City',
                'help' => '',
                'child_of' => 'control_8459064afc',
                'placement' => 'content',
                'width' => '100',
                'hide_if_not_selected' => 'false',
                'save_in_meta' => 'false',
                'save_in_meta_name' => '',
                'required' => 'false',
                'placeholder' => '',
                'characters_limit' => '',
            ],
            'control_6c89244ca8' => [
                'type' => 'text',
                'name' => 'place_street',
                'default' => '',
                'label' => 'Street',
                'help' => '',
                'child_of' => 'control_8459064afc',
                'placement' => 'content',
                'width' => '100',
                'hide_if_not_selected' => 'false',
                'save_in_meta' => 'false',
                'save_in_meta_name' => '',
                'required' => 'false',
                'placeholder' => '',
                'characters_limit' => '',
            ],
            'control_b0f8b549a8' => [
                'type' => 'text',
                'name' => 'place_phone',
                'default' => '',
                'label' => 'Phone',
                'help' => '',
                'child_of' => 'control_8459064afc',
                'placement' => 'content',
                'width' => '100',
                'hide_if_not_selected' => 'false',
                'save_in_meta' => 'false',
                'save_in_meta_name' => '',
                'required' => 'false',
                'placeholder' => '',
                'characters_limit' => '',
            ],
            'control_d7686146ec' => [
                'type' => 'text',
                'name' => 'place_email',
                'default' => '',
                'label' => 'Email',
                'help' => '',
                'child_of' => 'control_8459064afc',
                'placement' => 'content',
                'width' => '100',
                'hide_if_not_selected' => 'false',
                'save_in_meta' => 'false',
                'save_in_meta_name' => '',
                'required' => 'false',
                'placeholder' => '',
                'characters_limit' => '',
            ],
        ],
        'code' => [
            'output_method' => 'template',
            'editor_html' => '',
            'editor_callback' => '',
            'editor_css' => '',
            'frontend_html' => '',
            'frontend_callback' => '',
            'frontend_css' => '',
            'show_preview' => 'always',
            'single_output' => false,
        ],
        'condition' => [
        ],
    ]);
}
